import type { ZabbixClientConfig } from '../../_core';
import type { MaybeRefOrGetter } from 'vue';
export declare function useZabbixDatasources(datasourceId: MaybeRefOrGetter<string>): {
    sources: import("vue").ComputedRef<{
        uid: string;
        name: string;
        url: string;
        token: string;
        isDefault: boolean;
    }[]>;
    cfg: import("vue").ComputedRef<ZabbixClientConfig>;
    defaultUid: import("vue").ComputedRef<string>;
};
